#!/usr/bin/env python3
# -*- coding: utf-8 -*-

# License: GNU General Public License v2

# Author: thl-cmk[at]outlook[dot]com
# URL   : https://thl-cmk.hopto.org
# Date  : 2016-06-29

# 2023-04-23: moved views file to ~/local/lib/check_mk/gui/plugins/views

from cmk.gui.i18n import _
from cmk.gui.plugins.views.inventory import declare_invtable_view
from cmk.gui.plugins.views.utils import (
    inventory_displayhints,
)

inventory_displayhints.update({
    '.software.check_point.updates:': {
        'title': _('Updates'),
        'keyorder': [
            'file_name',
            'type',
            'status',
            'recommended',
            'available_since',
            'installed_at',
            'description'
        ],
        'view': 'invcheckpointupdates_of_host',
    },
})

declare_invtable_view(
    'invcheckpointupdates',
    '.software.check_point.updates:',
    _('Check Point updates'),
    _('Check Point updates'),
)
